Package com.avaya.clientservices.call

## Enum VideoResolutionForMainVideoStreaming

- java.lang.Object
- - java.lang.Enum<VideoResolutionForMainVideoStreaming>
  - - com.avaya.clientservices.call.VideoResolutionForMainVideoStreaming

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<VideoResolutionForMainVideoStreaming>`

      public enum VideoResolutionForMainVideoStreaming
      extends java.lang.Enum<VideoResolutionForMainVideoStreaming>

  Enumeration of video resolutions supported for main video streaming.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `RESOLUTION_1080P` |
    `RESOLUTION_180P` |
    `RESOLUTION_360P` |
    `RESOLUTION_720P` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static VideoResolutionForMainVideoStreaming` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static VideoResolutionForMainVideoStreaming[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RESOLUTION_180P

          public static final VideoResolutionForMainVideoStreaming RESOLUTION_180P

    - #### RESOLUTION_360P

          public static final VideoResolutionForMainVideoStreaming RESOLUTION_360P

    - #### RESOLUTION_720P

          public static final VideoResolutionForMainVideoStreaming RESOLUTION_720P

    - #### RESOLUTION_1080P

          public static final VideoResolutionForMainVideoStreaming RESOLUTION_1080P

  - ### Method Detail

    - #### values

          public static VideoResolutionForMainVideoStreaming[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VideoResolutionForMainVideoStreaming c : VideoResolutionForMainVideoStreaming.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VideoResolutionForMainVideoStreaming valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null